security::Security_3_0_2::Settings Struct Reference

Security configuration This structure is deprecated and will be removed in V3.0, use concrete getters and setters instead! More...

`import"Security.idl";`

## Public Attributes

boolean | http2httpsRedir
| `true` to enable HTTP-to-HTTPS redirection
int | userBlockTimeout
| User blocking timeout in minutes.
int | userMaxFailedLogins
| Maximum number of failed logins before blocking a user.
IpFw_2_0_0 | ipFw
| IP packet filter configuration.
IpFw_2_0_0 | ipV6Fw
| IPv6 packet filter configuration.
RoleAccessControl | roleAccessControl
| Role-based access control settings.
RoleAccessControl | roleAccessControlV6
| Role-based access control settings for IPv6.
PasswordSettings | pwSettings
| Password settings.
int | idleTimeout
| Session idle timeout in minutes.
boolean | singleLogin
| `true` to enable single login limitation
SSHSettings | sshSettings
| SSH authentication settings.

## Detailed Description

Security configuration This structure is deprecated and will be removed in V3.0, use concrete getters and setters instead!

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Security.idl